import { Route, Routes } from "@solidjs/router";
import { type Component } from "solid-js";
import { Certs } from "./certs";
import { NavRail } from "./components/NavRail";
import { OnlineClassroom } from "./OnlineClassroom";

const App: Component = () => (
    <div class="grid grid-cols-[5rem_auto]">
        <NavRail />
        <Routes>
            <Route path="/" component={() => <Builder />} />
            <Route path="/certs" component={Certs} />
            <Route path="/accesos" component={OnlineClassroom} />
            <Route path="/escaneo" component={() => <p>En construccion</p>} />
        </Routes>
    </div>
);


function Builder() {
    return (
        <div>
            <p>En construccion</p>
            <p>:D</p>
        </div>
    );
}

export default App;
